package com.base.locationsharewhite.location

import android.os.Build
import com.base.locationsharewhite.BuildConfig
import com.base.locationsharewhite.helper.config.AppConfig
import com.base.locationsharewhite.utils.AppPreferences
import org.json.JSONObject

object BpUtils {


    fun getBp(): JSONObject {
        val pkg = AppConfig.packageName

        val bp = JSONObject()
//            .put("${pkg}_1", "")
            .put("${pkg}_5", Build.VERSION.SDK_INT)
            .put("${pkg}_8", BuildConfig.VERSION_NAME)
            .put("${pkg}_9", AppPreferences.getInstance().getString("uuid", ""))
            .put("${pkg}_10", AppPreferences.getInstance().getString("uuid", ""))//gid
            .put("${pkg}_13", "android")
            .put("${pkg}_14", BuildConfig.VERSION_CODE)
            .put("${pkg}_15", "google")
            .put("${pkg}_24", BuildConfig.BUILD_TYPE)

        return bp
    }

}